lomiri-clock-app (3.13) UNRELEASED; urgency=medium

  * Update for focal

 -- Guido Berhoerster <guido+ubports@berhoerster.name>  Wed, 22 Jun 2022 14:06:29 +0200

ubuntu-clock-app (3.8) xenial; urgency=medium

  [ Nekhelesh Ramananthan ]
  * Dynamic loading of ListView in ExpandableListItem
  * Removed all vertical positioning overrides of trailing icon in ListItem.
  * Fixed failing autopilot tests in trunk (LP: #1552489)
  * Added Stopwatch autopilot tests for adding/deleting laps, checking
    start, pause and stop stopwatch states. (LP: #1490206)
  * Moved laps list delegate into its own file
  * Fixed world city listitem vertical centering.
  * Replaced hex color codes with UbuntuColors counterparts.
  * Updated framework to ubuntu-sdk-15.04.4 and incremented base version to 3.8
    to prevent clock app release to OTA-9.1 users.

  [Ken VanDine]
  * Bump Ubuntu.Content import to 1.3 to fix theme issue (LP: #1554621)

 -- Nekhelesh <krnekhelesh@nik90-laptop>  Wed, 02 Mar 2016 19:30:48 +0100

ubuntu-clock-app (3.7) wily; urgency=medium

  [ Bartosz Kosiorek ]
  * Fix alarm difference time description, during DST change (LP: #1510694)
  * Move to use the new SDK components v1.3 (LP: #1508363)
  * Fix continously move the alarm volume slider to the desired value (LP: #1492584)
  * Fix wrong alarm caption which appears during high load (LP: #1530000)
  * Implemented new UI design according to design specs (LP: #1528241)
  * Removed SURU bar from all views (LP: #1543492)

  [ Nicholas Skaggs ]
  * Fixed test launching and added option for building with SDK
  * Removed fixtures and debug_print_trees

  [ Andrew Hayzen ]
  * Fixes for various autopilot issues (LP: #1535488)

  [ Michal Predotka ]
  * Fix stopwatch start button being too wide (LP: #1543475)
  * Updated all list items to the new ListItemLayout (LP: #1543472)
  * Added ability to start/stop stopwatch by clicking on clock face (LP: #1543479)
  * Fix settings page list items using the wrong font color (LP: #1543501)

  [ Nekhelesh Ramananthan ]
  * Fix 'Shutter' effect animation on title bar when opening bottom edge (LP: #1543496)
  * Migrate to the new SDK Bottom edge (LP: #1549988)
  * Migrated all page head to the new PageHeader (LP: #1550991)
  * Reduce binding in ActionIcon.qml and fixed stopwatch slide delete UI issue.
  * Fixed colors being broken with OTA-10 SDK (LP: #1550716)
  * Fixed alarm passed label being shown in the alarm description (LP: #1551307)
  * Changed all labels font sizes from small to medium
  * Removed vertical override on the alarm switch positioning in the alarms page.
  * Ensured all labels respect the color specified in the design spec.

 -- Bartosz Kosiorek <gang65@poczta.onet.pl>  Wed, 30 Dec 2015 01:43:24 +0100

ubuntu-clock-app (3.6)  vivid; urgency=medium

  [ Nekhelesh Ramananthan ]
  * Bumped version to 3.6
  * Replaced checkboxes in alarm sound page with tick-marks (LP: #1487717)
  * Added sections headers to separate custom and default alarm sounds (LP: #1487735)
  * Removed ListItemWithActions upstream component and also fixed the user
    world city list count never decreasing to 0. (LP: #1368393)
  * Fixed incorrect usage of public slots and Q_INVOKABLE in c++ classes (LP: #1494756)

  [ Bartosz Kosiorek ]
  * Fix wrong time after changing timezone, when stopwatch is running (LP: #1491024)
  * Reduce size of images (with tinypng.com) to decrease click image size (LP: #1492057)
  * Fix Czech Republic country name (LP: #1494004) 
  * Fix wrong date and time after changing timezone while clock running (LP: #1480546)
  * Fix stopwatch issue appering during changing timezone during runtime (LP: #1493358)
  * Fix Daylight Saving Time issues (LP: #1437805)
  * Fix time for second location wrong after daylight saving started (LP: #1457523)
  * Disable alarms which have passed due to timezone changes made by the user (LP: #1505522)

 -- Bartosz Kosiorek <gang65@poczta.onet.pl>  Wed, 02 Sep 2015 15:16:29 +0200

ubuntu-clock-app (3.5) vivid; urgency=medium

  [ Bartosz Kosiorek ]
  * Disable automatic translation and update README.translations
  * Silent warning which is displayed during clock run
  * Change "Silence after" to "Alarm stops afer" according to UX design
  * Fix default alarm time issue (LP: #1484926)
  * Translate city and country names after language switch (LP: #1477492)
  * Fix issue when unable to add city/country with apostrophes (LP: #1473074)  
  * Keep running stopwatch even when the clock or phone is turned off (LP: #1484942)
  * If custom sound file name already exists during changing alarm sound, then delete it.

  [ Nekhelesh Ramananthan ]
  * Increase the height of times in the alarm screen (LP: #1365428)
  * Implement Stopwatch feature (LP: 1437313)
  * Added stopwatch keyword to the desktop file
  * Fixed the confusing behavior of the confirmation button (LP: #1408015)
  * Added README.mergeproposal checklist to help with the review process.
  * Fix alarm interval information being inconsistent (LP: #1466000)
  * Changed default alarm sound (LP: #1354370)
  * Added Clock Utility C++ plugin housing CustomAlarmSound type required
    for custom alarm sound feature
  * Added support for setting custom alarm sounds (LP: #1450640)
  * Stop playing alarm sound preview if the application loses focus or
    alarm sound page not visible. (LP: #1487699)
  * Select the newly imported custom sound automatically (LP: #1487689)
  * Added world city manual test to check world city translation issue (LP: #1487802)
  * Fixed alarm sound preview not playing when pressing on the checkbox (LP: #1487690)
  * Fixed edited alarm not being saveable if at any point of editing the alarm
    clock app loses focus (LP: #1487789)
  * Fixed edited alarms when saved not updating the alarms listview (LP: #1488439)
  * Reorganized backend c++ plugins with proper naming and folder structures.

  [ Victor Thompson ]
  * Show all README files in QtCreator 

 -- Bartosz Kosiorek <gang65@poczta.onet.pl>  Thu, 13 Aug 2015 00:03:45 +0200

ubuntu-clock-app (3.4) vivid; urgency=medium

  [ Nekhelesh Ramananthan ]
  * Updated version to 3.4 to mark transition to vivid framework
  * Fixed bottom edge title showing incorrect status on app startup (LP: #1381432)
  * Migrate to Ubuntu 15.04 SDK Framework and QtQuick 2.4.
  * Migrated add-city, settings, main alarm page to the new list items.

  [ Nicholas Skaggs ]
  * Update testing layout.

  [ Victor Thompson ]
  * Use city for location if available (LP: #1465496)
  * Update adt-run example in README.autopilot with correct click pkg name.

  [ Bartosz Kosiorek ]
  * Add more time choices for snooze time (LP: #1450767)
  * Move empty state clue higher (LP: #1430465)
  * Replace location icon with default Suru (LP: #1476580)

 -- Bartosz Kosiorek <gang65@poczta.onet.pl>  Sun, 05 Jul 2015 15:10:12 +0200

ubuntu-clock-app (3.3) utopic; urgency=medium

  [ Nekhelesh Ramananthan ]
  * Fixed alarm string not being translatable (LP: #1380248)
  * Bumped framework version to ubuntu-sdk-14.10
  * Fixed the incorrect overriding of alarm delegate model value.
  * Fixed qml tests broken in vivid due to listitem behaviour change.
  * OneTime alarms are not automatically dismissed after they are triggered (LP: #1362341)
  * Fixed Day-of-Week picker in alarms not respecting user locale (LP: #1372545)
  * Fixed predefined cities and countries not being translatable in the timezone
    selection dialog (LP: #1354466)
  * Fixed empty state description not wrapping (LP: #1428165)
  * Fixed edit alarm crash issue in vivid (thanks to Zsombor) (LP: #1429273)
  * Fixed strings not following gettext-style plural forms. (LP: #1431446)
  * Created a generic expandable listitem component for the settings page to avoid
    code duplication in AlarmSettings.qml
  * Renabled create alarm tests on device which were disabled due to upstream bug
    in autopilot. (LP: #1426108)
  * Fixed timezone difference label overflowing into the clock (LP: #1440732)
  * Improved bottom edge header by correcting the direction of the chevron (LP: #1432696)
  * Fixed "Location service error" label being shown when user denies clock app
    location access (LP: #1393827)
  * Increased date font size (LP: #1432736)
  * Fixed empty state component width warnings
  * Migrated to the 15.04 framework and also QtQuick 2.4
  * Locked clock app orientation to portrait (LP: #1465457)

  [ themeles ]  
  * Fixes alarms after midnight being incorrectly enabled for the next day. (LP: #1442518)

  [ Penk Chen ]
  * Fixed DigitalMode time being empty in chineese locale (LP: #1458808)

  [ Brendan Donegan ]
  * Fixed AP failure by waiting for the bottom edge tip visible property to be true
    before trying to swipe up the bottom edge.

  [ Riccardo Padovani ]
  * Fixed one-time alarms not being able to be re-enabled using the alarm switch
    after they have gone off once (LP: #1413027)

  [ Victor Thompson ]
  * Fixed a regression in vivid where clicking an alarm sound ListItem was not
    causing the CheckBox to be checked.

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Wed, 21 Jan 2015 21:05:24 +0100

ubuntu-clock-app (3.2) utopic; urgency=medium

  [ Nekhelesh Ramananthan ]
  * Fixed bottom edge hint timeout which made it possible for new users to not notice
    the bottom edge action. (LP: #1357945)
  * Moved DateTime object to ubuntu-clock-app.qml so that it can be used in multiple
    places and avoid the need to duplicate the object.
  * Removed Unused Utils library.
  * Design tweak to always show the remaining time to an alarm for one-time alarms
    only. (LP: #1377538)
  * Tweaked bottom edge to show the time to the next active alarm (LP: #1290793)
  * Synced ListItemWithActions with upstream
  * Delayed loading of AlarmModel to improve app startup time (LP: #1362140)
  * Fixed alarm page header width warning and corrected icon spacing.
  * Added edit alarm qml tests and added a library helper which contains commonly
    used test functions to avoid code duplication in future tests.
  * Added world clock feature qml tests
  * Delayed loading of xmltimezone model until add world city page is loaded and
    dynamically load/unload the jsontimezone model only when necessary.
  * Removed hardcoded delete alarm button size and let it adapt to the label size
    dynamically (LP: #1381429)
  * Replaced ListItem.Base with ListItem.Empty throughout the clock app to reduce
    creation time (performance).
  * Dynamically load/unload the search mode in world city list and multiselect view in
    alarm page which reduces the creation time by a few ms.
  * Unload the inner clock texture when not required. Inner clock texture smooth is
    now set to false to improve startup animation.
  * Customised splash screen (white background) (LP: #1377638)
  * Added manual test to check disabling of alarms.

  [ Akiva Shammai Avraham ]
  * Improved the analog clock performance by updating the clock hands every second
    rather than every 10 milliseconds. (LP: #1363968)

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Thu, 09 Oct 2014 18:22:31 +0200

ubuntu-clock-app (3.1) utopic; urgency=medium

  [ Nekhelesh Ramananthan ]
  * Alarm name label no longer accepts predictive text and empty
    strings. (LP: #1355414)
  * Synced the fast scroll component with upstream changes
  * Updated inner clock texture as requested by design
  * Added QML unit tests for alarm label and alarm repeat pages
  * Added json backend to search cities online
  * Added support for custom alarm sounds as per the design spec.
  * Added UI support for searching cities online from geoname-lookup.ubuntu.com
  * Improved error handling of jsontimezone model.
  * Added support to play alarm sound preview when selecting them in the alarm
    sound page. (LP: #1355410)
  * Changed project name and neccessary support variables from com.ubuntu.devel
    to com.ubuntu.clock in the CMakeList.txt, manifest.json and autopilot files.
  * Fixed tapping an alarm sound that is already selected toggles it
    incorrectly (LP: #1360677)
  * Updated QtQuick library imports to v2.3
  * Switched bzr branch to lp:ubuntu-clock-app
  * Updated pot file name
  * Added support for user location retrieval using GPS (LP: #1323198)
  * Added header shortcut to select/deselect all alarm repeat options (LP: #1362089)
  * Added visual tweaks (80% opacity for disabled alarms) and show time to
    next alarm when enabling an alarm.
  * Enabled one-time alarms in the UI (LP: #1358320)
  * Fixed the transition animation to alarms to be more smoother (LP: #1362081)
  * Added utc as a city (LP: #1362763)
  * Increase size of alarm volume listitem and simplified alarm duration list model.
  * Added pressed visual state to the settings button (LP: #1364553)
  * Fixed no UI hint being show to add cities (LP: #1362263)
  * Fixed add world city being triggered accidentally (LP: #1359180)
  * Fixed clock mode animations being too slow (LP: #1365440)
  * Added alarm snooze settings (LP: #1354400)
  * Fixed default alarm label not being translatable (LP: #1365012)
  * Improved multiselect mode behavior and appearance (LP: #1370146)
  * Removed custom listitem header used in the world city page and fixed listitem
    anchors in the alarm settings page.
  * Enabled alarms automatically after updating it (LP: #1372090)
  * Automatically focus textfield (LP: #1372089)
  * Added alarm feature qml tests and alarm sound unit tests

  [ Zsombor Egri ]
  * Fixed alarm status toggle being reverted immediately (LP: #1272337)
  * Deleting an alarm causing the others to activate (if they were disabled) (LP: #1358315)

  [ David Planella ]
  * Added internationalization support (LP: #1354522)

  [ Riccardo Padovani ]
  * Removed 'Today/Tomorow/Yesterday' text string from world clock, replaced
    'No time difference' with 'Same time' (LP: #1362093)

  [ Dennis O'Flaherty ]
  * Show a message to the user when the alarm list is empty (LP: #1364555)

  [ Stefano Verzegnassi ]
  * Fixed wrong alignment of "Add city" button when the application is not
    localized in English. (LP: #1371229)

  [ Leo Arias ]
  * Fixed CMake and debian/control to run the qml tests during a deb package build

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Wed, 13 Aug 2014 15:46:12 +0200

ubuntu-clock-app (3.0-0ubuntu1) utopic; urgency=medium

  [ Daniel Holbach ]
  * Fix debhelper-but-no-misc-depends ubuntu-clock-app-autopilot.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Add missing build-depends.
  * Run 'wrap-and-sort'.
  * Don't try to install files from usr/bin, there are none.
  * Install files from usr/lib.
  * Fail if not all files can be installed.
  * Make ubuntu-clock-app Arch:any.
  * Install files into ubuntu-clock-app-autopilot again (LP: #1354074).
  * Add ${shlibs:Depends} to Depends.
  * Remove duplicate 'Section' definition.
  * Relax dependency from ubuntu-clock-app-autopilot on ubuntu-clock-app
    somewhat.
  * Run tests as autopkgtest. (LP: #1354091)
  * Don't ignore return code of autopilot test execution. (LP: #1354095)
  * Fix path in Exec= line of .desktop file. (LP: #1354081)
  * Move module files into proper place. (LP: #1354079)
  * Make pep8 happy.
  * Add -I argument to Exec line in .desktop file.

  [ Jussi Pakkanen ]
  * Use CMake's testing framework instead of a custom target.
  * Only install manifest in click mode.
  * Spaces are tabs.
  * Add a CMake option to build both as a click app and a regular one.

  [ Sergio Schvezov ]
  * Using GnuInstallDirs takes care of the arch triplet.
  * Used a proper qt_imports_dir (still needs qml import updates).
  * Moved gnuinstalldirs higher up for better path management.
  * Removed a bunch of very custom variables and build on top.
  * Removed the install target for the gallery directory as it was a dup
    and going to the wrong path.
  * Not installing icon for deb and just rely on us using the desktop
    default (we can depend on the suru icon set, it's there).
  * Made some rules filter out if not in qtcreator.
  * Changed the path for a couple of things to use common subpaths in most
    cases.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 13 Aug 2014 11:24:41 +0000

ubuntu-clock-app (2.9) utopic; urgency=medium

  [ Nekhelesh Ramananthan ]
  * Added multiselect mode for alarms list as per design (LP: #1349882)
  * Fixed a small portion of the listitem behind left behind after
    deleting it. (LP: #1354617)
  * Added vibration settings option for alarms (LP: #1350017)

  [ Michael Zanetti ]
  * Improve the performance of the world city list by creating QTimeZone
    objects only once as they are really slow to create. (LP: #1350433)

  [ Nicholas Skaggs ]
  * Tweak AP setup and launching

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Mon, 11 Aug 2014 16:20:00 +0200

ubuntu-clock-app (2.8) utopic; urgency=medium

  [ Nekhelesh Ramananthan ]
  * Implemented custom swipe delete for list items (LP: #1349881)
  * Synced bottom edge component with upstream code
  * Added fast scroll to the world city page (LP: #1349877)
  * Implemented the world clock UI in the main clock page
  * Added settings option to change system time in the clock app.

  [ Carla Sella ]
  * Setup autopilot infrastructure and added alarm test
  * Added objectNames required for the AP tests
  * Expanded alarm tests using scenarios to cover different days

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Fri, 08 Aug 2014 21:05:12 +0200

ubuntu-clock-app (2.7) utopic; urgency=medium

  [ Nekhelesh Ramananthan ]
  * Expanded base TimeZoneModel to also take a u1db query model
  * Added more cities to the local world city list
  * Improved the accuracy of the clock hour hand by taking into account the
    minutes as well.
  * Improved minute and second hand accuracy
  * Improved the clock hands movement. It is now more smoother.
  * Added a delete alarm button in the edit alarm page as per design
  * Encapsulated the settings icon into an abstract button to provide haptic
    feedback when pressed.

  [ Victor Thompson ]
  * Resolve build warning related to unused variable in the AlarmSettings plugin

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Mon, 04 Aug 2014 11:23:30 +0200

ubuntu-clock-app (2.6) utopic; urgency=medium

  [ Nekhelesh Ramananthan ]
  * Clock mode is now saved in u1db to remember the user preferences
  * Added support for alarm setting options like alarm duration and volume
  * Updated license headers
  * Added support to listen to Dbus changes to the alarm settings and update
    UI automatically.

  [ Victor Thompson ]
  * Update digital time every second instead of every 60 seconds

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Wed, 30 Jul 2014 10:10:23 +0200

ubuntu-clock-app (2.5) utopic; urgency=medium

  [ Nekhelesh Ramananthan ]
  * Added a page to select world cities.
  * World cities are filtered as the user types using the SDK SortFilterModel
  * Added a XML file with a list of popular cities

  [ Victor Thompson ]
  * Center the plus icon in PullToAdd.qml
  * Use the ok icon instead of save in the edit alarm page

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Thu, 24 Jul 2014 15:20:15 +0200

ubuntu-clock-app (2.4) utopic; urgency=medium

  [ Nekhelesh Ramananthan ]
  * Fixed some issues that were noticed while running on the device for the first time
  * Removed AddCityButton.qml since we use the pulltoadd component now
  * Pulltoadd animation is now more reliable since it uses grid units instead of pixels
  * Transition to the new headers API
  * Removed the redundant back button definition in the alarm page since it is provided
    by the pagestack automatically.
  * Implemented Analog mode and allowed for switching between different modes.

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Thu, 17 Jul 2014 20:32:15 +0200

ubuntu-clock-app (2.3) utopic; urgency=medium

  [Nekhelesh Ramananthan]
  * Updated framework version to ubuntu-sdk-14.10-dev2
  * Fix apparmor issue with regards to reading the ringtone folder (LP: #1340326)

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Sat, 12 Jul 2014 14:00:00 +0200

ubuntu-clock-app (2.2) utopic; urgency=medium

  [ Nekhelesh Ramananthan ]
  * Split labels to allow for a different color time divider.
  * Added support for 12-hour time display.
  * Fixed CMakeList.txt for apparmor file
  * Returned the clock time in the proper user locale
  * Added support to edit saved alarms

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Thu, 10 Jul 2014 14:00:00 +0200

ubuntu-clock-app (2.1) utopic; urgency=medium

  [ Nekhelesh Ramananthan ]
  * Added support for creating new alarms
  * Added bottom edge for alarms
  * Added tug down add city animation
  * Updated the font size of several UI elements according to design.

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Thu, 03 Jul 2014 10:00:00 +0200

ubuntu-clock-app (2.0) utopic; urgency=medium

  [ Nekhelesh Ramananthan ]
  * First release of the clock app reboot
  * Implemented Digital Mode (LP: #1267146)
  * Fixed scrollable lists on scrollable pages (LP: #1227418)
  * Added developer guidelines

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Thu, 26 Jun 2014 18:57:25 +0200

ubuntu-clock-app (1.1) raring; urgency=medium

  * New icon
  * Add -qt5 command line option (LP: #1288885)
  * Update framework and apparmor profile version

 -- Alan Pope <popey@ubuntu.com>  Fri, 02 May 2014 13:57:25 +0100

ubuntu-clock-app (1.0) saucy; urgency=low

  [ Nekhelesh Ramananthan ]
  * World Clock list needs to inform user when results cannot be retrieved due to network error (LP: #1231106)
  * Load premade presets for new user so user doesn't end up in blank app (LP: #1226131)
  * Return more fine-grained territorial divisions for city search results (LP: #1230153)
  * Improve the visual appearance of the clock, timer, stopwatch and alarm
  * Removed hour support from timer

  [ Sergio Schvezov ]
  * Translation for desktop and debian package
  * Fix click package confinement issues

  [ Riccardo Padovani ]
  * Alarm notifications do not appear when an alarm is triggered (LP: #1233176)

  [ Nicholas Skaggs ]
  * Several apps have failing tests with 20131003 ui-toolkit (LP: #1234544)

  [ Andrea Cerisara ]
  * Autopilot Testcase Needed: Test Add World Clock (LP: #1210196)
  * Autopilot Testcase Needed: Test Delete World Clock (LP: #1210197)

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Fri, 11 Oct 2013 01:45:36 +0200

ubuntu-clock-app (0.7) saucy; urgency=low

  [Nekhelesh Ramananthan]
  * Alarm doesn't work (LP: #1187994)
  * Clock app does not honor timezone (LP: #1191291)
  * Clocks need to sync better and use the same backend (LP: #1201830)
  * Clock reports time in UTC by default (LP: #1201858)
  * On scrolling down page, hide tab header (LP: #1226128)
  * Very difficult to select bottom city in scrollable list of 4 or more (LP: #1227674)
  * There is no effect on the circle shape (LP: #1215332)
  * HUD actions should not appear for toolbar button such as save or cancel (LP: #1224891)

  [Paolo Rotolo]
  * Add error message if no cities were found (LP: #1222235)
  * Timer label updates before the timer hand reaches destination (LP: #1172869)
  * Cancel toolbar action needs the correct icon (LP: #1222942)

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Fri, 27 Sep 2013 12:47:21 +0200

ubuntu-clock-app (0.6) saucy; urgency=low

  [Nekhelesh Ramananthan]
  * Digital clock font size is smaller than design spec (LP: #1215334)
  * Font in world city list are too big (LP: #1200594)
  * Timer does not inform user if there are no presets (LP: #1169182)
  * Clicking the Add preset or add city button should reflect on the title for visual feedback (LP: #1168329)
  * In Timer, clock face is off screen when selecting preset (LP: #1219770)
  * Toolbar prevents text preset from accepting input (LP: #1209024)

  [Paolo Rotolo]
  * Search button icon is not as per design specifications (LP: #1221252)
  * Search icon isn't in Ubuntu Touch Style (LP: #1202364)
  * Reset button doesn't work while the stopwatch is running (LP: #1204861)
  * Timer sometimes does not reset its clock hands after stopping it (LP: #1197908)
  * Provide the ability to delete a stopwatch lap (LP: #1220375)
  * Scrolling list of cities overlaps labels (LP: #1219768)
  * Reset and lap icons appear pixelated on a phone (LP: #1218751)
  * While searching world cities provide a small pause before going online to search (LP: #1200410)

  [Camron]
  * Stopwatch runs backwards (LP: #1217743)

  [Andrew Starr-Bochicchio]
  * Sunrise/Sunset Times should be retrieved online sparingly (LP: #1200410)

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Fri, 06 Sep 2013 23:26:54 +0200

ubuntu-clock-app (0.5) saucy; urgency=low

  [Nekhelesh Ramananthan]
  * Added background gradients support with proper use of theme palette colors
  * Connected Sunrise/Sunset to the current location set by the user (LP: #1195701)
  * Fixed inaccurate timer touch input (LP: #1186396, #1168327)
  * Fixed second hand moving erratically in mobile devices (LP: #1186279)
  * Fixed timer being able to start without setting any time (LP: #1197914)
  * Fixed city name going over the search box (LP: #1199379)

  [Riccardo Padovani]
  * Added support to pause timer (LP: #1166264)
  * Added state names to world city search to distinguish cities with duplicate names (LP: #1197436)
  * Added autopilot test to test adding a timer (LP: #1188800)
  * Added autopilot test to run a saved timer preset (LP: #1188801)
  * Added autopilot test to delete a saved timer preset (LP: #1188807)

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Tue, 16 Jul 2013 21:24:53 +0200

ubuntu-clock-app (0.4) raring; urgency=low

  * Added World Clocks
  * Added autopilot tests for Stopwatch (LP: #1188796, #1188812, #1188794)
  * Implemented initial visual designs for Clock
  * Fixed Timer runs slower than expected (LP: #117655)
  * Add city clock from toolbar (LP: #1164943)
  * Added Animations for Clock, Timer and Stopwatch (LP: #1168325, #1169153)

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Fri, 14 Jun 2013 22:31:07 +0200

ubuntu-clock-app (0.3) raring; urgency=low

  * Added translations support

 -- David Planella <david.planella@ubuntu.com>  Tue, 07 May 2013 16:10:25 +0200

ubuntu-clock-app (0.2) raring; urgency=low

  [ Nekhelesh Ramananthan ]
  * Fix Timer Label bugs (LP: #1172864, #1172865, #1173572).
  * Add blip to the stopwatch (LP: #1168468).
  * Tweak behavior of timer hand (LP: #1168335).
  * Timer format should read mm:ss and count upwards into minutes and hours (LP: #1171467).

  [ Alessandro Pozzi ]
  * Stopwatch needs to show 1/10th of a second in the label for better accuracy (LP: #1163855).
  * Add gradient to the stopwatch second hand (LP: #1168402).

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Sun, 28 Apr 2013 15:21:19 +0200

ubuntu-clock-app (0.1) raring; urgency=low

  [ Michael Hall ]
  * Initial release

  [ Juha Ristolainen ]
  * Implemented basic clock layout

  [ Nick Leppänen Larsson ]
  * Implemented Analog Clock Face API
  * Basic clock layout

  [ Nekhelesh Ramananthan ]
  * Add copyright/license headers to the clock app files (LP: #1164594)
  * Analog clock markers around 3,6,9,12 should be differentiated from others (LP: #1163852)
  * Clock app code style does not follow qml, javascript guidelines (LP: #1167040)
  * No easy way to set timer for an hour or more (LP: #1163854)

  [ Alessandro Pozzi ]
  * Timer function requires design for adding and editing presets (LP: #1164443)
  * Implemented basic stopwatch functionality

 -- Nekhelesh Ramananthan <krnekhelesh@gmail.com>  Thu, 11 Apr 2013 21:09:19 +0200
